Subject: [alpine-aports] [PATCH 1/2] testing/bspwm: new aport

From: Sören Tempel <[email-masked]>
Date: Sat, 26 Sep 2015 10:13:49 +0200

---
 testing/bspwm/APKBUILD | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)
 create mode 100644 testing/bspwm/APKBUILD

diff --git a/testing/bspwm/APKBUILD b/testing/bspwm/APKBUILD
new file mode 100644
index 0000000..8ff3438
--- /dev/null
+++ b/testing/bspwm/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer: Sören Tempel <[email-masked]>
+pkgname=bspwm
+pkgver=0.9
+pkgrel=0
+pkgdesc="Tiling window manager based on binary space partitioning"
+url="https://github.com/baskerville/bspwm"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="libxcb-dev xcb-util-dev xcb-util-wm-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/baskerville/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	make PREFIX=/usr -C "$_builddir" || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir" PREFIX=/usr \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="fd170b166a4e446a0b08f4027f802b0e  bspwm-0.9.tar.gz"
+sha256sums="1efb2db7b8a251bcc006d66a050cf66e9d311761c94890bebf91a32905042fde  bspwm-0.9.tar.gz"
+sha512sums="09c4a52dc9f2635973d3b31d507373c27e17a8fb172b2783422049cfc4fa8416bb87a29dea74c2e0e71febdfa53f86a9c09004aa7328b6a08490537329c48370  bspwm-0.9.tar.gz"
-- 
2.5.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Sat, 26 Sep 2015 10:15:54 +0200

1) rename tarball after downloading it
2) change license from 'bsd' to 'BSD'
3) Set myself as the maintainer
---
 testing/sxhkd/APKBUILD | 30 +++++++++++-------------------
 1 file changed, 11 insertions(+), 19 deletions(-)

diff --git a/testing/sxhkd/APKBUILD b/testing/sxhkd/APKBUILD
index a3bd9cc..a98433b 100644
--- a/testing/sxhkd/APKBUILD
+++ b/testing/sxhkd/APKBUILD
@@ -1,30 +1,21 @@
 # Contributor: Olivier Mauras <[email-masked]>
-# Maintainer:
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer: Sören Tempel <[email-masked]>
 pkgname=sxhkd
 pkgver=0.5.5
-pkgrel=0
+pkgrel=1
 pkgdesc="Simple X hotkey daemon"
 url="https://github.com/baskerville/sxhkd"
 arch="all"
-license="bsd"
+license="BSD"
 depends=""
 depends_dev="xcb-util-keysyms-dev libxcb-dev"
 makedepends="$depends_dev"
 install=""
 subpackages="$pkgname-doc"
-source="https://github.com/baskerville/sxhkd/archive/$pkgver.tar.gz"
+source="$pkgname-$pkgver.tar.gz::https://github.com/baskerville/sxhkd/archive/$pkgver.tar.gz"
 
 _builddir=$srcdir/$pkgname-$pkgver
-prepare() {
-	# Apply patches
-	cd "$_builddir"
-	for i in $source; do
-                case $i in
-                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-                esac
-        done
-}
-
 build() {
 	cd "$_builddir"
 	make PREFIX=/usr
@@ -33,11 +24,12 @@ build() {
 package() {
 	cd "$_builddir"
 	make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
-	# Copy examples 
+
+	# Install examples
 	mkdir "$pkgdir"/usr/share/$pkgname
-	cp -r examples "$pkgdir"/usr/share/$pkgname
+	cp -r examples "$pkgdir"/usr/share/$pkgname || return 1
 }
 
-md5sums="e04b8d7173059bce156bec6d8cd4297d  0.5.5.tar.gz"
-sha256sums="e6699f77564e34a890d27f6c251e1ed29b04f5177e48290e7f02948497f04313  0.5.5.tar.gz"
-sha512sums="a0ea812e4cbd63330768349045547f330cdaeec7edc3270af7e7acc4b025f7aa1d2550214db0aef9621ba619e82ee9459ee76b050cc23f780f67ed0f26e9550b  0.5.5.tar.gz"
+md5sums="e04b8d7173059bce156bec6d8cd4297d  sxhkd-0.5.5.tar.gz"
+sha256sums="e6699f77564e34a890d27f6c251e1ed29b04f5177e48290e7f02948497f04313  sxhkd-0.5.5.tar.gz"
+sha512sums="a0ea812e4cbd63330768349045547f330cdaeec7edc3270af7e7acc4b025f7aa1d2550214db0aef9621ba619e82ee9459ee76b050cc23f780f67ed0f26e9550b  sxhkd-0.5.5.tar.gz"
-- 
2.5.3

---

---

From: Sören Tempel <[email-masked]>
Date: Sat, 26 Sep 2015 10:34:51 +0200

---
 testing/bspwm/APKBUILD | 55 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)
 create mode 100644 testing/bspwm/APKBUILD

diff --git a/testing/bspwm/APKBUILD b/testing/bspwm/APKBUILD
new file mode 100644
index 0000000..24416ab
--- /dev/null
+++ b/testing/bspwm/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer: Sören Tempel <[email-masked]>
+pkgname=bspwm
+pkgver=0.9
+pkgrel=0
+pkgdesc="Tiling window manager based on binary space partitioning"
+url="https://github.com/baskerville/bspwm"
+arch="all"
+license="BSD"
+depends=""
+depends_dev="libxcb-dev xcb-util-dev xcb-util-wm-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="
+	$pkgname-doc
+	$pkgname-zsh-completion:zshcomp
+	$pkgname-bash-completion:bashcomp"
+source="$pkgname-$pkgver.tar.gz::https://github.com/baskerville/$pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	make PREFIX=/usr -C "$_builddir" || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir" PREFIX=/usr \
+		-C "$_builddir" install || return 1
+}
+
+zshcomp() {
+	depends=""
+	pkgdesc="Zsh completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel zsh"
+	arch="noarch"
+
+	mkdir -p "$subpkgdir"/usr/share/zsh/site-functions
+	mv "$pkgdir"/usr/share/zsh/site-functions/* \
+		"$subpkgdir"/usr/share/zsh/site-functions || return 1
+
+}
+
+bashcomp() {
+	depends=""
+	pkgdesc="Bash completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel bash"
+	arch="noarch"
+
+	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/
+	mv "$pkgdir"/usr/share/bash-completion/completions/* \
+		"$subpkgdir"/usr/share/bash-completion/completions/ || return 1
+}
+
+md5sums="fd170b166a4e446a0b08f4027f802b0e  bspwm-0.9.tar.gz"
+sha256sums="1efb2db7b8a251bcc006d66a050cf66e9d311761c94890bebf91a32905042fde  bspwm-0.9.tar.gz"
+sha512sums="09c4a52dc9f2635973d3b31d507373c27e17a8fb172b2783422049cfc4fa8416bb87a29dea74c2e0e71febdfa53f86a9c09004aa7328b6a08490537329c48370  bspwm-0.9.tar.gz"
-- 
2.5.3

---

---

From: Sören Tempel <[email-masked]>
Date: Sat, 26 Sep 2015 10:13:50 +0200

1) rename tarball after downloading it
2) change license from 'bsd' to 'BSD'
3) Set myself as the maintainer
---
 testing/sxhkd/APKBUILD | 28 ++++++++++------------------
 1 file changed, 10 insertions(+), 18 deletions(-)

index a3bd9cc..3955b18 100644
 pkgrel=0

---